GAMEMODES = {
    free        = "free",
    derby       = "derby",
    banger      = "banger",
    elimination = "elimination",
    escape      = "escape"
}
GAMEMODES_PARAMETERS = {
    [GAMEMODES.derby] = {
        GAME_TIME = 90,
    },
    [GAMEMODES.banger] = {
        LAPS = 3,
    },
    [GAMEMODES.elimination] = {
        EXPLOSION_POWER = 2,
        ELIMINATION_TIME = 20,
    },
}

function GAMEMODES:IsGmRacingMode(gamemode_name)
    if gamemode_name == GAMEMODES.free or
        gamemode_name == "none" or
        gamemode_name == "" then
        return false
    end

    return true
end

function GAMEMODES:IsDerbyGm(gamemode_name)
    return gamemode_name == GAMEMODES.derby
end

function GAMEMODES:IsBanger(name)
    return name == GAMEMODES.banger or name == GAMEMODES.elimination
end
